Subject: bug#9074: 24.0.50; problems trying to mail bug report, again

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 02 Aug 2011 23:17:46 +0200

"Drew Adams" <[email-masked]> writes:

> I just now repeated the recipe.  You can do the same, BTW.

I can't.  I don't have Windows.

> I thought I typed `n'.  Perhaps there is a different bug if you type `y'?

Yes.  Fixed now, though.

> Who knows what kryr553sfkv.fsf is.  MYMACHINE is my machine name.  Are users
> required to set the mail-host-address also now?  How many hoops will you force
> users to jump through, just to support your new "feature"?

What are you on about?

> But let me try once more, this time with debug-on-error = t. This is the
> backtrace when I hit `n' to the SMTP config question:
>
> Debugger entered--Lisp error: (args-out-of-range 105527 105528)
> #[binary gibberish...
> apply(#[(beg end delete) binary gibberish...
> #[binary gibberish...
>   filter-buffer-substring(105528 105527)
>   copy-region-as-kill(105528 105527)
>   kill-ring-save(105528 105527)
>   clipboard-kill-ring-save(105528 105527)
>   mailclient-send-it()
>   sendmail-query-once()

Does mailclient work for you otherwise if not called from "emacs -Q"?
If so, the fix I applied earlier today may fix this, too.  If not, I
have no idea what it could mean.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/